package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ltd;
import com.brilliance.isc.vo.lc.LedWithPtsCbbResponseVo;
import com.brilliance.isc.vo.lc.LetselQueryVo;
import com.brilliance.isc.vo.lc.LtdWithPtsCbbResponseVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface LtdMapper {

    int insert(Ltd record);

    int insertSelective(Ltd record);

    int updateByPrimaryKeySelective(Ltd record);

    int updateByPrimaryKey(Ltd record);

    int deleteByPrimaryKey(Ltd record);

    int deleteByIds(Collection<Object> collection);

    Ltd selectByPrimaryKey(Ltd record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Ltd> dyncRead(Map<String, Object> dyncMap);

    Ltd selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Ltd selectByWhere(Ltd record);

    List<LtdWithPtsCbbResponseVo> queryLtd(LetselQueryVo letselQueryVo);

    int selectByLedinrInt(@Param("pntInr") String pntInr);


    List<LtdWithPtsCbbResponseVo> queryLtdInfo(LetselQueryVo letselStoreVo);

    List<Ltd> queryLtdsByLedinr(@Param("ledInr") String pntInr);

    Ltd selectByOwnref(String ownref);

}